Skip to main content
Section ID: DOC-API-MODEL-schema-p3askj7st1#overview

HeyGenVoiceSettings

HeyGen voice settings

Meaning and usage​

Section ID: DOC-API-MODEL-schema-p3askj7st1#meaning

See the definition above.

Usage profiles​

Section ID: DOC-API-MODEL-schema-p3askj7st1#fields

UsageFields and validation
In requestsView fields

In requests​

Section ID: DOC-API-MODEL-schema-p3askj7st1#request

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
Section ID: DOC-API-MODEL-schema-p3askj7st1#field-voiceidSection ID: DOC-API-MODEL-schema-p3askj7st1#request-field-voiceidvoiceIdstringOptionalProvider voice identifier used for speech synthesis.
Section ID: DOC-API-MODEL-schema-p3askj7st1#field-rateSection ID: DOC-API-MODEL-schema-p3askj7st1#request-field-rateratenumber (double) or string (NaN, Infinity, -Infinity)OptionalSpeech-rate setting passed to the HeyGen voice provider.
Section ID: DOC-API-MODEL-schema-p3askj7st1#field-emotionSection ID: DOC-API-MODEL-schema-p3askj7st1#request-field-emotionemotionstringOptionalSee meaning below.
Section ID: DOC-API-MODEL-schema-p3askj7st1#field-elevenlabssettingsSection ID: DOC-API-MODEL-schema-p3askj7st1#request-field-elevenlabssettingselevenlabsSettingsHeyGenElevenLabsSettingsOptionalElevenLabs synthesis settings associated with the HeyGen voice.

emotion

Emotion setting passed to HeyGen voice synthesis.

"EXCITED" | "SERIOUS" | "FRIENDLY" | "SOOTHING" | "BROADCASTER"

Where used​

Section ID: DOC-API-MODEL-schema-p3askj7st1#where-used

ReferenceRelationship
Create a voice session (in progress)POST /api/v1/llm/create-daily-session
Models containing this value
ModelRelationship
HeyGenConfigNested in model

Download the public reference contract.

Document ID: DOC-API-MODEL-schema-p3askj7st1